#!/bin/sh
# @(#) $Header:   P:/CTVC/KEG/MISC/stopserver.sh   1.1.1.1   26 Sep 2002 11:45:28   NWILL  $
# ---------------------------------------------------------------------------
#    CandleNet eBusiness Assurance Manager Server
#
#    Copyright (C) 1998-2004 IBM.
#    All rights reserved.  International copyright secured.
#
#    Stops the Manager Server
# ---------------------------------------------------------------------------
opt=$*
plat=`uname -s`
JRE=java
case $plat in
Linux)
    platform="lnx2"
    JRE=java
     ;;

AIX)
    ver=`uname -v`
    if [ $ver -lt 4 ];then
       echo "The release version of AIX must be 4 or higher. Exiting..."
               exit 2
    fi 

    rel=`uname -r`

    platform="aix"
       ;;
HP-UX)
 
        ver=`uname -r |cut -d\. -f2`
        if [ $ver -ne 10 -a $ver -ne 11 ];then
           echo "The release version of HP-UX must be 10 or higher. Exiting..."
           exit 2
        fi
 
        rel=`uname -r |cut -d\. -f3`
        if [ $ver -eq 10 -a $rel -eq 20 ];then
                 platform="hp102"
        elif [ $ver -eq 11 ];then
                 platform="hp11"
        else
           echo "You do not have a supported version of HP-UX. Exiting"
           exit 2
        fi
        ;;
 
SunOS)
        ver=`uname -r |cut -d\. -f1`
        rel=`uname -r |cut -d\. -f2`
 
        if [ $ver -eq 5 ];then
           ver=2
           case $rel in
           7|8|9)
                tarfile=$SOLTAR
                platform="sol"
                ;;
           
           *)
                echo "This version of Solaris is not supported. Exiting..."
                exit 2
                ;;
            esac
        fi
        ;;
*)
    echo "Unsupported platform. Exiting..."
    exit 2
    ;;
esac
if [ "$platform" = "aix" ]; then
  PATH=.:../../../java/$platform/jre/bin:$PATH
else
  PATH=.:../../../java/$platform/bin:$PATH
fi
export PATH
CLASSPATH=.:Server.jar
export CLASSPATH
echo Stopping Manager Server $opt
if [ "$platform" = "aix" ]; then
../../../java/$platform/jre/bin/$JRE -cp .:$CLASSPATH KEGS_Modify $opt
else
../../../java/$platform/bin/$JRE -cp .:$CLASSPATH KEGS_Modify $opt
fi
